fature.al eshte platforma e faturimit dhe fiskalizimit per bizneset ne Shqiperi. Hap nje llogari
Skip to content
fature.al API Menu

Te dhenat e llogarise

GET /api/v1/account Requires authentication Rate limited by the `api-global` limiter v1

Send a bearer token in the Authorization header.

Kthen te dhenat e perdoruesit te autentifikuar: emri, email, kodi fiskal dhe kompania.

Full URL: https://fature.al/api/v1/account

Responses

200 OK

Field Type Description
status boolean
data object
data.name string
data.email string<email>
data.fiscalCode any
data.company any
data.nipt any
data.setupFinished boolean
data.branch object
data.branch.name string
data.branch.address any
data.branch.city any
data.companyBranches any
data.permissions object
data.permissions.createArticles boolean
data.permissions.createClients boolean
data.configs object
data.configs.openDayAlways0 any
data.vatConfigs object
data.vatConfigs.issuerInVat any
data.vatConfigs.vat_rates any
data.vatConfigs.vat_exempts any
data.subscription object
data.subscription.cash any
data.subscription.noncash any
data.subscription.einvoice any
data.subscription.wtn any

Example request

cURL
curl -X GET 'https://fature.al/api/v1/account' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'X-Client-Id: YOUR_CLIENT_ID' \
  -H 'X-Client-Secret: YOUR_CLIENT_SECRET' \
  -H 'Accept: application/json'
PHP (Laravel)
use Illuminate\Support\Facades\Http;

$response = Http::withHeaders([
    'Authorization' => 'Bearer YOUR_TOKEN',
    'X-Client-Id' => 'YOUR_CLIENT_ID',
    'X-Client-Secret' => 'YOUR_CLIENT_SECRET',
    'Accept' => 'application/json',
])->get('https://fature.al/api/v1/account');

$data = $response->json();
PHP (Guzzle)
use GuzzleHttp\Client;

$client = new Client();

$response = $client->request('GET', 'https://fature.al/api/v1/account', [
    'headers' => [
        'Authorization' => 'Bearer YOUR_TOKEN',
        'X-Client-Id' => 'YOUR_CLIENT_ID',
        'X-Client-Secret' => 'YOUR_CLIENT_SECRET',
        'Accept' => 'application/json',
    ],
]);

$data = json_decode((string) $response->getBody(), true);
JavaScript
const response = await fetch('https://fature.al/api/v1/account', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_TOKEN',
    'X-Client-Id': 'YOUR_CLIENT_ID',
    'X-Client-Secret': 'YOUR_CLIENT_SECRET',
    'Accept': 'application/json'
  }
});

const data = await response.json();

Example response

200
{
    "status": true,
    "data": {
        "name": "Jane Doe",
        "email": "[email protected]",
        "fiscalCode": "fiscalCode",
        "company": "company",
        "nipt": "nipt",
        "setupFinished": true,
        "branch": {
            "name": "Jane Doe",
            "address": "1 Example Street",
            "city": "Berlin"
        },
        "companyBranches": "companyBranches",
        "permissions": {
            "createArticles": true,
            "createClients": true
        },
        "configs": {
            "openDayAlways0": "openDayAlways0"
        },
        "vatConfigs": {
            "issuerInVat": "issuerInVat",
            "vat_rates": "vat rates",
            "vat_exempts": "vat exempts"
        },
        "subscription": {
            "cash": "cash",
            "noncash": "noncash",
            "einvoice": "einvoice",
            "wtn": "wtn"
        }
    }
}

Regjistrimi eshte falas.

Regjistrohu ne fature.al

This page as Markdown, or the whole API as OpenAPI.